/*
 * Airplane.h
 */

#ifndef AIRPLANE_H_
#define AIRPLANE_H_

#include "Vehicle.h"

// TODO avoid the diamond problem
class Airplane: public Vehicle {
public:
	Airplane(int span);
	virtual ~Airplane();

	virtual int turnOnEngine();
	static const int engineStatus;

	int getWingSpan() const {
		return wingSpan;
	}

protected:
	int wingSpan;
};

#endif /* AIRPLANE_H_ */
